<?php

declare(strict_types=1);

namespace apexl\Io\modules\user\services;

use apexl\Io\modules\user\interfaces\JwtKeyProviderInterface;
use Firebase\JWT\Key;
use function apexl\Io\config;

final readonly class JwtKeyFromConfigService implements JwtKeyProviderInterface
{
    public function key(): Key
    {
        return new Key(config('auth.jwt.secret_key'), config('auth.jwt.algorithm'));
    }
}